com.taosdata.jdbc

## Class TSDBErrorNumbers

- java.lang.Object
- - com.taosdata.jdbc.TSDBErrorNumbers

    public class TSDBErrorNumbers
    extends Object

### Field Summary

Fields
`static int` `ERROR_BATCH_IS_EMPTY`
`static int` `ERROR_CANNOT_REGISTER_JNI_DRIVER`
`static int` `ERROR_CANNOT_REGISTER_RESTFUL_DRIVER`
`static int` `ERROR_CONNECTION_CLOSED`
`static int` `ERROR_CONNECTION_TIMEOUT`
`static int` `ERROR_DATABASE_NOT_SPECIFIED_OR_AVAILABLE`
`static int` `ERROR_HTTP_ENTITY_IS_NULL`
`static int` `ERROR_INVALID_FOR_EXECUTE`
`static int` `ERROR_INVALID_FOR_EXECUTE_QUERY`
`static int` `ERROR_INVALID_FOR_EXECUTE_UPDATE`
`static int` `ERROR_INVALID_JSON_FORMAT`
`static int` `ERROR_INVALID_SQL`
`static int` `ERROR_INVALID_VARIABLE`
`static int` `ERROR_INVALID_WITH_EXECUTEQUERY`
`static int` `ERROR_INVALID_WITH_EXECUTEUPDATE`
`static int` `ERROR_JNI_CONNECTION_NULL`
`static int` `ERROR_JNI_FETCH_END`
`static int` `ERROR_JNI_NUM_OF_FIELDS_0`
`static int` `ERROR_JNI_OUT_OF_MEMORY`
`static int` `ERROR_JNI_RESULT_SET_NULL`
`static int` `ERROR_JNI_SQL_NULL`
`static int` `ERROR_JNI_TDENGINE_ERROR`
`static int` `ERROR_NUMERIC_VALUE_OUT_OF_RANGE`
`static int` `ERROR_PARAMETER_INDEX_OUT_RANGE`
`static int` `ERROR_PASSWORD_IS_REQUIRED`
`static int` `ERROR_QUERY_TIMEOUT`
`static int` `ERROR_RESTFul_Client_IOException`
`static int` `ERROR_RESTFul_Client_Protocol_Exception`
`static int` `ERROR_RESTFUL_CLIENT_QUERY_EXCEPTION`
`static int` `ERROR_RESULTSET_CLOSED`
`static int` `ERROR_SQLCLIENT_EXCEPTION_ON_CONNECTION_CLOSED`
`static int` `ERROR_STATEMENT_CLOSED`
`static int` `ERROR_SUBSCRIBE_FAILED`
`static int` `ERROR_TMQ_CONF_ERROR`
`static int` `ERROR_TMQ_CONF_KEY_NULL`
`static int` `ERROR_TMQ_CONF_NULL`
`static int` `ERROR_TMQ_CONF_VALUE_NULL`
`static int` `ERROR_TMQ_CONSUMER_CREATE_ERROR`
`static int` `ERROR_TMQ_CONSUMER_NULL`
`static int` `ERROR_TMQ_SEEK_OFFSET`
`static int` `ERROR_TMQ_TOPIC_NAME_NULL`
`static int` `ERROR_TMQ_TOPIC_NULL`
`static int` `ERROR_TMQ_VGROUP_NOT_FOUND`
`static int` `ERROR_UNKNOWN`
`static int` `ERROR_UNKNOWN_SQL_TYPE_IN_TDENGINE`
`static int` `ERROR_UNKNOWN_TAOS_TYPE`
`static int` `ERROR_UNKNOWN_TIMESTAMP_PRECISION`
`static int` `ERROR_UNSUPPORTED_ENCODING`
`static int` `ERROR_UNSUPPORTED_METHOD`
`static int` `ERROR_URL_NOT_SET`
`static int` `ERROR_USER_IS_REQUIRED`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `contains(int errorNumber)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ERROR_CONNECTION_CLOSED

    public static final int ERROR_CONNECTION_CLOSED

See Also:
  Constant Field Values

#### ERROR_UNSUPPORTED_METHOD

    public static final int ERROR_UNSUPPORTED_METHOD

See Also:
  Constant Field Values

#### ERROR_INVALID_VARIABLE

    public static final int ERROR_INVALID_VARIABLE

See Also:
  Constant Field Values

#### ERROR_STATEMENT_CLOSED

    public static final int ERROR_STATEMENT_CLOSED

See Also:
  Constant Field Values

#### ERROR_RESULTSET_CLOSED

    public static final int ERROR_RESULTSET_CLOSED

See Also:
  Constant Field Values

#### ERROR_BATCH_IS_EMPTY

    public static final int ERROR_BATCH_IS_EMPTY

See Also:
  Constant Field Values

#### ERROR_INVALID_WITH_EXECUTEQUERY

    public static final int ERROR_INVALID_WITH_EXECUTEQUERY

See Also:
  Constant Field Values

#### ERROR_INVALID_WITH_EXECUTEUPDATE

    public static final int ERROR_INVALID_WITH_EXECUTEUPDATE

See Also:
  Constant Field Values

#### ERROR_INVALID_FOR_EXECUTE_QUERY

    public static final int ERROR_INVALID_FOR_EXECUTE_QUERY

See Also:
  Constant Field Values

#### ERROR_DATABASE_NOT_SPECIFIED_OR_AVAILABLE

    public static final int ERROR_DATABASE_NOT_SPECIFIED_OR_AVAILABLE

See Also:
  Constant Field Values

#### ERROR_INVALID_FOR_EXECUTE_UPDATE

    public static final int ERROR_INVALID_FOR_EXECUTE_UPDATE

See Also:
  Constant Field Values

#### ERROR_INVALID_FOR_EXECUTE

    public static final int ERROR_INVALID_FOR_EXECUTE

See Also:
  Constant Field Values

#### ERROR_PARAMETER_INDEX_OUT_RANGE

    public static final int ERROR_PARAMETER_INDEX_OUT_RANGE

See Also:
  Constant Field Values

#### ERROR_SQLCLIENT_EXCEPTION_ON_CONNECTION_CLOSED

    public static final int ERROR_SQLCLIENT_EXCEPTION_ON_CONNECTION_CLOSED

See Also:
  Constant Field Values

#### ERROR_UNKNOWN_SQL_TYPE_IN_TDENGINE

    public static final int ERROR_UNKNOWN_SQL_TYPE_IN_TDENGINE

See Also:
  Constant Field Values

#### ERROR_CANNOT_REGISTER_JNI_DRIVER

    public static final int ERROR_CANNOT_REGISTER_JNI_DRIVER

See Also:
  Constant Field Values

#### ERROR_CANNOT_REGISTER_RESTFUL_DRIVER

    public static final int ERROR_CANNOT_REGISTER_RESTFUL_DRIVER

See Also:
  Constant Field Values

#### ERROR_URL_NOT_SET

    public static final int ERROR_URL_NOT_SET

See Also:
  Constant Field Values

#### ERROR_INVALID_SQL

    public static final int ERROR_INVALID_SQL

See Also:
  Constant Field Values

#### ERROR_NUMERIC_VALUE_OUT_OF_RANGE

    public static final int ERROR_NUMERIC_VALUE_OUT_OF_RANGE

See Also:
  Constant Field Values

#### ERROR_UNKNOWN_TAOS_TYPE

    public static final int ERROR_UNKNOWN_TAOS_TYPE

See Also:
  Constant Field Values

#### ERROR_UNKNOWN_TIMESTAMP_PRECISION

    public static final int ERROR_UNKNOWN_TIMESTAMP_PRECISION

See Also:
  Constant Field Values

#### ERROR_RESTFul_Client_Protocol_Exception

    public static final int ERROR_RESTFul_Client_Protocol_Exception

See Also:
  Constant Field Values

#### ERROR_RESTFul_Client_IOException

    public static final int ERROR_RESTFul_Client_IOException

See Also:
  Constant Field Values

#### ERROR_USER_IS_REQUIRED

    public static final int ERROR_USER_IS_REQUIRED

See Also:
  Constant Field Values

#### ERROR_PASSWORD_IS_REQUIRED

    public static final int ERROR_PASSWORD_IS_REQUIRED

See Also:
  Constant Field Values

#### ERROR_INVALID_JSON_FORMAT

    public static final int ERROR_INVALID_JSON_FORMAT

See Also:
  Constant Field Values

#### ERROR_HTTP_ENTITY_IS_NULL

    public static final int ERROR_HTTP_ENTITY_IS_NULL

See Also:
  Constant Field Values

#### ERROR_CONNECTION_TIMEOUT

    public static final int ERROR_CONNECTION_TIMEOUT

See Also:
  Constant Field Values

#### ERROR_QUERY_TIMEOUT

    public static final int ERROR_QUERY_TIMEOUT

See Also:
  Constant Field Values

#### ERROR_RESTFUL_CLIENT_QUERY_EXCEPTION

    public static final int ERROR_RESTFUL_CLIENT_QUERY_EXCEPTION

See Also:
  Constant Field Values

#### ERROR_UNKNOWN

    public static final int ERROR_UNKNOWN

See Also:
  Constant Field Values

#### ERROR_SUBSCRIBE_FAILED

    public static final int ERROR_SUBSCRIBE_FAILED

See Also:
  Constant Field Values

#### ERROR_UNSUPPORTED_ENCODING

    public static final int ERROR_UNSUPPORTED_ENCODING

See Also:
  Constant Field Values

#### ERROR_JNI_TDENGINE_ERROR

    public static final int ERROR_JNI_TDENGINE_ERROR

See Also:
  Constant Field Values

#### ERROR_JNI_CONNECTION_NULL

    public static final int ERROR_JNI_CONNECTION_NULL

See Also:
  Constant Field Values

#### ERROR_JNI_RESULT_SET_NULL

    public static final int ERROR_JNI_RESULT_SET_NULL

See Also:
  Constant Field Values

#### ERROR_JNI_NUM_OF_FIELDS_0

    public static final int ERROR_JNI_NUM_OF_FIELDS_0

See Also:
  Constant Field Values

#### ERROR_JNI_SQL_NULL

    public static final int ERROR_JNI_SQL_NULL

See Also:
  Constant Field Values

#### ERROR_JNI_FETCH_END

    public static final int ERROR_JNI_FETCH_END

See Also:
  Constant Field Values

#### ERROR_JNI_OUT_OF_MEMORY

    public static final int ERROR_JNI_OUT_OF_MEMORY

See Also:
  Constant Field Values

#### ERROR_TMQ_CONF_NULL

    public static final int ERROR_TMQ_CONF_NULL

See Also:
  Constant Field Values

#### ERROR_TMQ_CONF_KEY_NULL

    public static final int ERROR_TMQ_CONF_KEY_NULL

See Also:
  Constant Field Values

#### ERROR_TMQ_CONF_VALUE_NULL

    public static final int ERROR_TMQ_CONF_VALUE_NULL

See Also:
  Constant Field Values

#### ERROR_TMQ_CONF_ERROR

    public static final int ERROR_TMQ_CONF_ERROR

See Also:
  Constant Field Values

#### ERROR_TMQ_TOPIC_NULL

    public static final int ERROR_TMQ_TOPIC_NULL

See Also:
  Constant Field Values

#### ERROR_TMQ_TOPIC_NAME_NULL

    public static final int ERROR_TMQ_TOPIC_NAME_NULL

See Also:
  Constant Field Values

#### ERROR_TMQ_CONSUMER_NULL

    public static final int ERROR_TMQ_CONSUMER_NULL

See Also:
  Constant Field Values

#### ERROR_TMQ_CONSUMER_CREATE_ERROR

    public static final int ERROR_TMQ_CONSUMER_CREATE_ERROR

See Also:
  Constant Field Values

#### ERROR_TMQ_SEEK_OFFSET

    public static final int ERROR_TMQ_SEEK_OFFSET

See Also:
  Constant Field Values

#### ERROR_TMQ_VGROUP_NOT_FOUND

    public static final int ERROR_TMQ_VGROUP_NOT_FOUND

See Also:
  Constant Field Values

### Method Detail

#### contains

    public static boolean contains(int errorNumber)